#!/bin/bash
# Set the default kernel configuration

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

require_script kernel_utils.sh

# Default variables
S=${srcDir}
B=${buildDir}

do_buildstep_prepend

# Copy defconfig to .config if .config does not exist. This allows
# recipes to manage the .config themselves in do_configure_prepend().
if [ -f "${S}/defconfig" ] && [ ! -f "${B}/.config" ]; then
	log_exec cp "${S}/defconfig" "${B}/.config"
fi

sed -i "/CONFIG_MXC_GPU_VIV[ =]/d" ${B}/.config
echo "CONFIG_MXC_GPU_VIV=y" >> ${B}/.config

kernel_do_make oldnoconfig || yes '' | kernel_do_make oldconfig

do_buildstep_append