#!/bin/bash
# Script to apply fragment if existing then build uboot

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

do_apply_config_fragments() {
	# Edit .config with selected kernel configuration fragments
	local config_fragment config_fragments
	log_exec cd $srcDir
	for config_fragment in ./fragments/*.config "$@"; do
		if [ -f "$config_fragment" ]; then
			config_fragments="$config_fragments $config_fragment"
		fi
	done
	
	if [ "$buildDir" -ef "$srcDir" ]; then
		log_exec ./scripts/kconfig/merge_config.sh .config $config_fragments
	else
		log_exec ./scripts/kconfig/merge_config.sh -O $buildDir $buildDir/.config $config_fragments
	fi | grep -v '^Value ' | grep -v ' value: ' | uniq
}

do_buildstep_prepend

do_make CROSS_COMPILE=${CROSS_COMPILE} V=1 DEVICE_TREE=${devicetree} all

do_buildstep_append
