#!/bin/bash
# Executing binary file and accept Freescale EULA licence to extract sources

if [ -r "$PLATFORM_LOC/scripts/utils.sh" ]; then
	source "$PLATFORM_LOC/scripts/utils.sh"
else
	source "$script_lib_dir/utils.sh"
fi

if [ "$SRC_NAME" = "empty" ]; then
	exit 0
fi

B=$PWD
binFile=$(basename $SRC_LOC)
tmpDir=$(basename $binFile .bin)

do_buildstep_prepend

# If project dir is not clean, remove files.
# Cannot install the source into 'dirty' folder.
if [ -e "gpu-tools" ]; then
	log "Cleanup source directory..."	
	log_exec rm -rf apitrace g2d gpu-core gpu-demos gpu-tools COPYING SCR-imx-gpu-viv.txt
fi

# Link to the source binary to executed it after.
log_exec ln -nfs $DOWNLOAD_LOC/$binFile .

if [ -r $binFile ]; then
	log "Binary source $binFile found"
	log "Executing binary file..."		
	log_exec /bin/bash $binFile --auto-accept

	# Delete link to source binary file
	log_exec rm -rf $binFile

	# Move files to package root directory
	log_exec mv $tmpDir/* $(pwd)
	log_exec rm -rf $tmpDir

	log "Sources succesfully extracted"
else
	fatal "Source binary not found" 	
fi

do_buildstep_append

